<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myVehicleLabel" jhiTranslate="mpmApp.vehicle.home.createOrEditLabel">Create or edit a Vehicle</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!vehicle.idVehicle">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="vehicle.idVehicle" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicle.idMachine" for="field_idMachine">Id Machine</label>
            <input type="text" class="form-control" name="idMachine" id="field_idMachine"
                [(ngModel)]="vehicle.idMachine"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicle.idFrame" for="field_idFrame">Id Frame</label>
            <input type="text" class="form-control" name="idFrame" id="field_idFrame"
                [(ngModel)]="vehicle.idFrame"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicle.yearOfAssembly" for="field_yearOfAssembly">Year Of Assembly</label>
            <input currencyMask class="form-control" name="yearOfAssembly" id="field_yearOfAssembly"
                [(ngModel)]="vehicle.yearOfAssembly"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicle.product" for="field_product">Product</label>
            <select class="form-control" id="field_product" name="product" [(ngModel)]="vehicle.productId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="goodOption.idProduct" *ngFor="let goodOption of goods; trackBy: trackGoodById">{{goodOption.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicle.feature" for="field_feature">Feature</label>
            <select class="form-control" id="field_feature" name="feature" [(ngModel)]="vehicle.featureId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
